#include "../h/nlo_functions.h"
#include "../h/nlo_func_q.h"
#include <quadmath.h>

#define Power p128
#define Pi M_PIq



long double  box_1_m312_5_q(double *vars)
{
    __float128 s=vars[0], s1=vars[1], s2=vars[2], t1=vars[3], t2=vars[4];
    __float128 aG=1/Power(4.*Pi,2);
    __float128 a=aG*((16*(4*Power(s,5)*s2*t1 + s2*Power(-1 + t1,2)*
          (s2 + Power(s2,2) - 2*s2*t1 + (-1 + t1)*t1)*
          (5 + 2*Power(s2,3) - s1*(-1 + s2)*(-2 + 3*s2 - t1) - 39*t1 + 
            18*Power(t1,2) + 11*t2 - 6*t1*t2 + 
            Power(s2,2)*(-6 + 2*t1 + 5*t2) + 
            s2*(43 - 19*t1 - 6*Power(t1,2) - 16*t2 + 6*t1*t2)) + 
         Power(s,4)*(2*Power(s2,4) - t1 + 
            s2*(13 + 13*Power(t1,2) + t1*(-19 + 2*s1 - t2) - 3*t2) + 
            Power(s2,3)*(3 - 4*t1 + 2*t2) + 
            Power(s2,2)*(-2 - Power(t1,2) + t2 + t1*(-4 - 2*s1 + t2))) - 
         Power(s,3)*(4*Power(s2,5) + t1*(-2 + 3*t1) + 
            Power(s2,3)*(28 + s1*(2 - 7*t1) - 2*Power(t1,2) + 
               t1*(-6 + t2) - 2*t2) + Power(s2,4)*(5 - 12*t1 + 4*t2) + 
            s2*(45 - 33*Power(t1,3) + s1*(-7 + 11*t1 - 5*Power(t1,2)) + 
               2*t2 - 6*t1*(17 + 2*t2) + 3*Power(t1,2)*(34 + 3*t2)) + 
            Power(s2,2)*(22 + 9*Power(t1,3) + 
               s1*(5 - 4*t1 + 5*Power(t1,2)) + Power(t1,2)*(33 - 9*t2) - 
               4*t2 + t1*(-94 + 11*t2))) + 
         s*(-1 + t1)*(4*Power(s2,6) - (-1 + t1)*Power(t1,2) + 
            Power(s2,4)*(52 + s1 - s1*t1 - 19*Power(t1,2) - 
               t1*(-11 + t2) - 11*t2) + 
            Power(s2,5)*(-8 + 3*s1 - 4*t1 + t2) + 
            Power(s2,2)*(-19*Power(t1,4) + 
               s1*(-6 + 13*Power(t1,2) + Power(t1,3)) + 
               Power(t1,2)*(454 - 38*t2) - 10*t1*(33 + 2*t2) + 
               9*(5 + 3*t2) + Power(t1,3)*(-118 + 19*t2)) - 
            s2*(-13 - 55*Power(t1,4) + 
               s1*(2 - 12*t1 + 10*Power(t1,2) + Power(t1,3)) - 3*t2 + 
               Power(t1,3)*(195 + 19*t2) + t1*(67 + 40*t2) - 
               Power(t1,2)*(194 + 57*t2)) + 
            Power(s2,3)*(142 + 38*Power(t1,3) + 
               s1*(4 - 11*t1 - 3*Power(t1,2)) + 
               Power(t1,2)*(62 - 19*t2) - 20*t2 + t1*(-310 + 61*t2))) + 
         Power(s,2)*(2*Power(s2,6) + t1*(-1 + 4*t1 - 3*Power(t1,2)) - 
            Power(s2,4)*(Power(t1,2) + s1*(-5 + 8*t1) + t1*(-11 + t2) + 
               2*(-6 + t2)) + 2*Power(s2,5)*(3 - 6*t1 + t2) + 
            Power(s2,2)*(70 - 21*Power(t1,4) - 
               s1*(5 + 5*t1 - 12*Power(t1,2) + 3*Power(t1,3)) + 
               Power(t1,2)*(418 - 47*t2) + 8*t1*(-45 + t2) + 17*t2 + 
               7*Power(t1,3)*(-13 + 3*t2)) + 
            Power(s2,3)*(113 + 30*Power(t1,3) + 
               s1*(9 - 13*t1 + 9*Power(t1,2)) + 
               Power(t1,2)*(13 - 15*t2) - 25*t2 + t1*(-190 + 41*t2)) + 
            s2*(45 + 61*Power(t1,4) + 
               s1*(-9 + 26*t1 - 21*Power(t1,2) + 3*Power(t1,3)) + 8*t2 - 
               24*t1*(7 + 2*t2) - 3*Power(t1,3)*(80 + 7*t2) + 
               Power(t1,2)*(302 + 62*t2)))))/
     (s*Power(-1 + s2,2)*s2*(-s + s2 - t1)*(1 - s + s2 - t1)*(-1 + t1)*
       Power(-1 + s + t1,2)) + 
    (8*(2 + 73*t1 - 18*s1*t1 - 134*Power(t1,2) + 15*s1*Power(t1,2) + 
         71*Power(t1,3) + s1*Power(t1,3) - 12*Power(t1,4) + 
         2*Power(s2,5)*(s1 - t2) - 2*t2 + 21*t1*t2 - 21*Power(t1,2)*t2 + 
         4*Power(t1,3)*t2 + 2*Power(s,4)*((-5 + s2)*t1 + t2 - s2*t2) - 
         2*Power(s2,4)*(5 + s1*(-2 + 3*t1) + t2 - t1*(5 + 2*t2)) + 
         Power(s2,3)*(-12 + s1*(-3 - 7*t1 + 6*Power(t1,2)) - t2 - 
            2*Power(t1,2)*(10 + t2) + t1*(32 + 7*t2)) + 
         s2*(-79 + 4*Power(t1,4) + 
            s1*(18 + 6*t1 - 23*Power(t1,2) + Power(t1,3)) + 
            Power(t1,3)*(3 - 4*t2) - 7*t1*(-23 + t2) - 15*t2 + 
            Power(t1,2)*(-89 + 24*t2)) - 
         Power(s2,2)*(21 - 6*Power(t1,3) + 
            s1*(21 - 25*t1 - 2*Power(t1,2) + 2*Power(t1,3)) - 22*t2 + 
            Power(t1,2)*(13 + t2) + t1*(-28 + 25*t2)) + 
         Power(s,3)*(2 - 20*Power(t1,2) - 
            2*Power(s2,2)*(-2 + s1 + 3*t1 - 4*t2) - 7*t2 + 
            t1*(19 - 2*s1 + 4*t2) + 
            s2*(-14 + 11*t1 + 4*Power(t1,2) + 2*s1*(1 + t1) - t2 - 
               4*t1*t2)) + Power(s,2)*
          (-5 - 10*Power(t1,3) + 
            2*Power(s2,3)*(-4 + 3*s1 + 3*t1 - 6*t2) + 6*t2 + 
            Power(t1,2)*(24 - 4*s1 + 2*t2) - t1*(-60 + s1 + 8*t2) - 
            Power(s2,2)*(-8 + s1 + 10*s1*t1 + 8*Power(t1,2) + 6*t2 - 
               3*t1*(7 + 4*t2)) + 
            s2*(13 + 2*Power(t1,3) + s1*(-5 + 11*t1 + 4*Power(t1,2)) - 
               2*Power(t1,2)*(-4 + t2) + 12*t2 - t1*(15 + 4*t2))) + 
         s*(1 - (7 + 2*s1)*Power(t1,3) + t1*(-143 + 21*s1 - 17*t2) - 
            2*Power(s2,4)*(-2 + 3*s1 + t1 - 4*t2) + t2 + 
            3*Power(t1,2)*(41 + t2) + 
            Power(s2,3)*(16 + 4*Power(t1,2) + s1*(-5 + 14*t1) + 7*t2 - 
               4*t1*(8 + 3*t2)) - 
            Power(s2,2)*(-1 + 2*Power(t1,3) + 
               s1*(-16 + 3*t1 + 10*Power(t1,2)) + 8*t2 - 
               Power(t1,2)*(31 + 4*t2) + t1*(38 + 7*t2)) + 
            s2*(74 + Power(t1,3) + 
               s1*(-5 - 32*t1 + 10*Power(t1,2) + 2*Power(t1,3)) + 
               Power(t1,2)*(2 - 7*t2) - 8*t2 + t1*(-97 + 36*t2))))*
       B1(s,1 - s + s2 - t1,s2))/
     (Power(-1 + s2,2)*(-1 + t1)*(-s2 + t1 - s*t1 + s2*t1 - Power(t1,2))) - 
    (16*(Power(-1 + s,2)*t1*Power(-1 + s + t1,2) + 
         Power(s2,6)*(Power(s,2) - 3*(-1 + t1)*(-1 + 3*s1 + t1 - 3*t2) + 
            s*(-4 - 3*s1 + 4*t1 + 3*t2)) + 
         s2*(-1 + s + t1)*(-6 + 4*Power(s,4)*(-1 + t1) + 
            (23 - 3*s1)*t1 + (-19 + 2*s1)*Power(t1,2) + 2*Power(t1,3) + 
            s*((-62 + 8*s1)*t1 + (34 - 4*s1)*Power(t1,2) - 
               2*Power(t1,3) - 3*(-7 + t2)) + 
            Power(s,3)*(17 + 2*(-14 + s1)*t1 + 4*Power(t1,2) - t2) + 
            t2 + Power(s,2)*(-28 - 7*(-9 + s1)*t1 + 
               (-23 + 2*s1)*Power(t1,2) + 3*t2)) + 
         Power(s2,5)*(-2*Power(s,3) + 
            Power(s,2)*(7 + 8*s1 - 6*t1 - 9*t2) + 
            (-1 + t1)*(10 + 3*Power(t1,2) + s1*(20 + 7*t1) - 23*t2 - 
               t1*(13 + 4*t2)) + 
            s*(29 + 11*Power(t1,2) + 3*s1*(-4 + 9*t1) + 10*t2 - 
               5*t1*(8 + 5*t2))) + 
         Power(s2,3)*(2*s*(10 - 18*Power(t1,2) - 5*Power(t1,3) + 
               s1*(2 + 6*t1 + Power(t1,2)) + t1*(13 - 2*t2) - 7*t2) + 
            Power(s,4)*(5 - 2*s1 + 2*t1 - 3*t2) + 
            Power(s,3)*(-43 + 5*Power(t1,2) + s1*(8 + t1) - 4*t2 - 
               7*t1*t2) + Power(s,2)*
             (34 + 3*Power(t1,3) + s1*(-2 + 3*t1 + 3*Power(t1,2)) + 
               3*t2 - 2*Power(t1,2)*(7 + 2*t2) - t1*(47 + 3*t2)) - 
            2*(-1 + t1)*(-20 + 10*Power(t1,2) + Power(t1,3) - 
               s1*(-8 + 10*t1 + Power(t1,2)) - 3*t2 + t1*(9 + 6*t2))) + 
         Power(s2,4)*(Power(s,4) + Power(s,3)*(-4 - 3*s1 + 9*t2) - 
            2*s*(6 + 3*Power(t1,3) + s1*(1 + 9*t1 + 3*Power(t1,2)) + 
               t1*(16 - 3*t2) - 6*t2 - Power(t1,2)*(25 + 4*t2)) + 
            (-1 + t1)*(-44 + Power(t1,2) + 
               2*s1*(-1 - 13*t1 + Power(t1,2)) + 14*t2 + t1*(43 + 12*t2)\
) - Power(s,2)*(23 + 13*Power(t1,2) + s1*(3 + 17*t1) + t2 - 
               t1*(41 + 23*t2))) - 
         Power(s2,2)*(Power(s,4)*(-13 + 2*s1*(-1 + t1) + 15*t1 - 4*t2) + 
            (-1 + t1)*(3 - 34*Power(t1,2) + 
               s1*(-7 - 2*t1 + 6*Power(t1,2)) + t1*(31 - 4*t2) + 7*t2) + 
            Power(s,3)*(34 + 24*Power(t1,2) + 
               s1*(5 - 8*t1 + 4*Power(t1,2)) + 9*t2 - 4*t1*(15 + 2*t2)) + 
            s*(-4*Power(t1,3) + 2*Power(t1,4) + 
               s1*(-13 + 10*t1 + 10*Power(t1,2) - 4*Power(t1,3)) + 
               t1*(20 - 26*t2) + 4*Power(t1,2)*(-9 + 2*t2) + 3*(6 + 5*t2)\
) + Power(s,2)*(-36 + 11*Power(t1,3) + 
               s1*(3 + t1 - 10*Power(t1,2) + 2*Power(t1,3)) - 13*t2 - 
               Power(t1,2)*(49 + 4*t2) + t1*(49 + 23*t2))))*R1q(s2))/
     (Power(-1 + s2,2)*s2*(1 - 2*s + Power(s,2) - 2*s2 - 2*s*s2 + 
         Power(s2,2))*(-1 + t1)*Power(-1 + s + t1,3)) + 
    (16*(Power(s,6)*(8 - 19*t1 + s2*(4 + 3*t1 - 3*t2) + 3*t2) - 
         Power(s,5)*(43 + Power(s2,3) + s1*(-1 + s2)*(3 + 4*s2 - 5*t1) - 
            118*t1 + 95*Power(t1,2) + Power(s2,2)*(12 + 9*t1 - 14*t2) + 
            8*t2 - 15*t1*t2 + 
            s2*(48 - 59*t1 - 15*Power(t1,2) + 6*t2 + 15*t1*t2)) - 
         (-1 + t1)*(3*Power(s2,6)*(-1 + 3*s1 + t1 - 3*t2) + 
            Power(s2,5)*(-21 + s1*(11 - 38*t1) - 14*Power(t1,2) - 
               8*t2 + 35*t1*(1 + t2)) + 
            (-1 + t1)*((-4 + 5*s1)*Power(t1,4) + 8*(-1 + t2) - 
               Power(t1,3)*(5 + 15*s1 + 2*t2) + 
               4*Power(t1,2)*(2 + 3*s1 + 4*t2) - 4*t1*(-2 + s1 + 5*t2)) \
+ Power(s2,3)*(31 - 18*Power(t1,4) + 
               s1*(-7 + 23*t1 + 31*Power(t1,2) - 53*Power(t1,3)) + 
               8*t2 - 5*Power(t1,2)*(11 + 2*t2) - t1*(60 + 29*t2) + 
               Power(t1,3)*(102 + 37*t2)) - 
            s2*(12 - 3*Power(t1,5) + 
               s1*(4 - 18*t1 + 43*Power(t1,2) - 39*Power(t1,3) + 
                  4*Power(t1,4) + 5*Power(t1,5)) + 
               Power(t1,2)*(7 - 38*t2) + 10*t1*(-4 + t2) - 
               4*Power(t1,4)*(10 + 3*t2) + Power(t1,3)*(64 + 41*t2)) + 
            Power(s2,4)*(-3 + 24*Power(t1,3) + 
               s1*(-7 - 30*t1 + 63*Power(t1,2)) + 7*t2 + 
               5*t1*(15 + 4*t2) - Power(t1,2)*(96 + 53*t2)) + 
            Power(s2,2)*(-4 + 5*Power(t1,5) + 
               s1*(-2 + 23*t1 - 35*Power(t1,2) - 13*Power(t1,3) + 
                  24*Power(t1,4)) + 10*t2 - 7*Power(t1,3)*(5 + 2*t2) - 
               Power(t1,4)*(41 + 10*t2) - t1*(57 + 44*t2) + 
               Power(t1,2)*(132 + 61*t2))) + 
         Power(s,4)*(106 + 3*Power(s2,4) - 300*t1 + 396*Power(t1,2) - 
            190*Power(t1,3) + 
            s1*(-1 + s2)*(16 + 15*Power(s2,2) + s2*(17 - 40*t1) - 
               37*t1 + 25*Power(t1,2)) + 
            Power(s2,3)*(18 + 4*t1 - 27*t2) + t2 - 30*t1*t2 + 
            30*Power(t1,2)*t2 + 
            s2*(114 + 30*Power(t1,3) + Power(t1,2)*(193 - 30*t2) + 
               31*t2 - 9*t1*(39 + 4*t2)) + 
            Power(s2,2)*(83 - 41*Power(t1,2) - 5*t2 + t1*(-49 + 66*t2))) \
- Power(s,3)*(143 + 3*Power(s2,5) - 420*t1 + 645*Power(t1,2) - 
            564*Power(t1,3) + 190*Power(t1,4) + 
            s1*(-1 + s2)*(27 + 21*Power(s2,3) + 
               Power(s2,2)*(46 - 98*t1) - 95*t1 + 118*Power(t1,2) - 
               50*Power(t1,3) + 3*s2*(16 - 47*t1 + 40*Power(t1,2))) + 
            Power(s2,4)*(20 - 11*t1 - 27*t2) - 26*t2 + 17*t1*t2 + 
            40*Power(t1,2)*t2 - 30*Power(t1,3)*t2 + 
            Power(s2,2)*(157 + 74*Power(t1,3) + 
               Power(t1,2)*(29 - 124*t2) + 11*t1*(-29 + t2) + 31*t2) + 
            Power(s2,3)*(30 - 36*Power(t1,2) - 32*t2 + 
               t1*(19 + 118*t2)) + 
            s2*(111 - 30*Power(t1,4) + 54*t2 + 
               Power(t1,3)*(-262 + 30*t2) + Power(t1,2)*(802 + 84*t2) - 
               t1*(581 + 146*t2))) + 
         Power(s,2)*(108 + Power(s2,6) - 331*t1 + 508*Power(t1,2) - 
            565*Power(t1,3) + 376*Power(t1,4) - 95*Power(t1,5) + 
            s1*(-1 + s2)*(18 + 13*Power(s2,4) + 
               Power(s2,3)*(62 - 105*t1) - 97*t1 + 189*Power(t1,2) - 
               162*Power(t1,3) + 50*Power(t1,4) + 
               Power(s2,2)*(72 - 239*t1 + 204*Power(t1,2)) + 
               s2*(55 - 221*t1 + 321*Power(t1,2) - 160*Power(t1,3))) + 
            Power(s2,5)*(14 - 13*t1 - 14*t2) - 46*t2 + 106*t1*t2 - 
            57*Power(t1,2)*t2 - 20*Power(t1,3)*t2 + 15*Power(t1,4)*t2 + 
            Power(s2,4)*(-32 - 11*Power(t1,2) - 49*t2 + 
               t1*(48 + 107*t2)) + 
            Power(s2,3)*(47 + 74*Power(t1,3) + t2 - 
               4*Power(t1,2)*(53 + 48*t2) + t1*(67 + 111*t2)) + 
            Power(s2,2)*(141 - 66*Power(t1,4) + 
               Power(t1,2)*(383 - 3*t2) + 64*t2 + 
               29*Power(t1,3)*(3 + 4*t2) - t1*(520 + 137*t2)) + 
            s2*(29 + 15*Power(t1,5) + Power(t1,4)*(158 - 15*t2) + 
               44*t2 + 84*Power(t1,2)*(11 + 3*t2) - 
               12*Power(t1,3)*(65 + 8*t2) - t1*(355 + 187*t2))) + 
         s*(-(s1*(-1 + s2)*(4 + 3*Power(s2,5) + 
                 Power(s2,4)*(39 - 51*t1) - 38*t1 + 113*Power(t1,2) - 
                 157*Power(t1,3) + 103*Power(t1,4) - 25*Power(t1,5) + 
                 Power(s2,3)*(60 - 193*t1 + 147*Power(t1,2)) + 
                 Power(s2,2)*
                  (41 - 211*t1 + 340*Power(t1,2) - 174*Power(t1,3)) + 
                 s2*(24 - 136*t1 + 298*Power(t1,2) - 287*Power(t1,3) + 
                    100*Power(t1,4)))) + Power(s2,6)*(-4 + 4*t1 + 3*t2) + 
            Power(s2,5)*(22 + 4*Power(t1,2) + 34*t2 - t1*(26 + 49*t2)) - 
            (-1 + t1)*(-44 + 19*Power(t1,5) + t1*(92 - 78*t2) + 
               Power(t1,3)*(97 - 3*t2) + 32*t2 - 
               Power(t1,4)*(83 + 3*t2) + Power(t1,2)*(-83 + 56*t2)) + 
            Power(s2,4)*(52 - 43*Power(t1,3) + 15*t2 - 
               t1*(197 + 122*t2) + Power(t1,2)*(188 + 133*t2)) + 
            Power(s2,3)*(-77 + 61*Power(t1,4) - 26*t2 + 
               t1*(57 + 20*t2) + 2*Power(t1,2)*(127 + 63*t2) - 
               Power(t1,3)*(295 + 138*t2)) + 
            Power(s2,2)*(-45 - 29*Power(t1,5) - 46*t2 + 
               169*t1*(2 + t2) + Power(t1,3)*(141 + 7*t2) + 
               Power(t1,4)*(125 + 54*t2) - Power(t1,2)*(530 + 181*t2)) + 
            s2*(3*Power(t1,6) + Power(t1,5)*(31 - 3*t2) - 12*(-2 + t2) + 
               92*t1*t2 - 6*Power(t1,4)*(53 + 9*t2) + 
               Power(t1,3)*(561 + 190*t2) - Power(t1,2)*(301 + 212*t2))))*
       R1q(1 - s + s2 - t1))/
     (Power(-1 + s2,2)*Power(-s + s2 - t1,2)*(1 - s + s2 - t1)*(-1 + t1)*
       Power(-1 + s + t1,3)) + 
    (16*(Power(s,3)*(-11*t1 + s2*(4 + 3*t1 - 3*t2) + 3*t2) + 
         Power(-1 + s2,2)*(3 + Power(s2,3) - 
            s1*(-1 + s2)*(-1 + 2*s2 - t1) - 17*t1 + 6*Power(t1,2) + 
            5*t2 - 2*t1*t2 + Power(s2,2)*(-2 + 3*t2) + 
            s2*(18 - 7*t1 - 2*Power(t1,2) - 8*t2 + 2*t1*t2)) + 
         Power(s,2)*(5 + Power(s2,3) - s1*(-1 + s2)*(1 + 6*s2 - t1) + 
            t1 + 6*Power(t1,2) - t2 - 2*t1*t2 + 
            Power(s2,2)*(-2 - 6*t1 + 9*t2) + 
            s2*(-8 + 5*t1 - 2*Power(t1,2) - 8*t2 + 2*t1*t2)) - 
         s*(4 + 2*Power(s2,4) + 12*Power(t1,2) - 
            Power(s2,3)*(6 + 8*s1 + 3*t1 - 9*t2) + 7*t2 + 
            s2*(42 - 4*s1 - 73*t1 + 8*Power(t1,2) + 3*t2) - 
            t1*(23 + 2*s1 + 4*t2) + 
            Power(s2,2)*(38 + 3*t1 - 4*Power(t1,2) + 2*s1*(6 + t1) - 
               19*t2 + 4*t1*t2)))*R2q(s))/
     (s*Power(-1 + s2,2)*(1 - 2*s + Power(s,2) - 2*s2 - 2*s*s2 + 
         Power(s2,2))*(-1 + t1)) + 
    (8*(Power(-1 + s2,4)*(-1 + 2*Power(s2,2) - 2*s2*(-1 + t1) - t1)*
          (-1 + s1*(s2 - t1) + t1 + t2 - s2*t2) + 
         2*Power(s,6)*((-5 + s2)*t1 + t2 - s2*t2) + 
         Power(s,4)*(-7 + (21 - 2*s1)*Power(t1,2) + 
            2*Power(s2,3)*(-8 + 5*s1 + 10*t1 - 15*t2) + 
            t1*(-39 + 5*s1 - 5*t2) + 15*t2 - 
            Power(s2,2)*(-28 + 11*t1 + 8*Power(t1,2) + s1*(3 + 8*t1) - 
               10*t1*t2) + s2*
             (35 - 26*t1 + 19*Power(t1,2) + 
               s1*(-7 + 3*t1 + 2*Power(t1,2)) + 15*t2 - 5*t1*t2)) + 
         Power(s,5)*(2 - 10*Power(t1,2) - 
            2*Power(s2,2)*(-2 + s1 + 5*t1 - 6*t2) - 9*t2 + 
            t1*(41 - 2*s1 + 2*t2) + 
            s2*(-14 + 25*t1 + 2*Power(t1,2) + 2*s1*(1 + t1) - 3*t2 - 
               2*t1*t2)) + Power(s,3)*
          (8 - 12*Power(t1,3) - 
            4*Power(s2,4)*(-6 + 5*s1 + 5*t1 - 10*t2) - 10*t2 + 
            t1*(-29 + 4*t2) + Power(t1,2)*(14 + s1 + 4*t2) - 
            Power(s2,2)*(-23 + 9*Power(t1,2) + 
               s1*(-7 + 12*t1 + 4*Power(t1,2)) + t1*(43 - 12*t2) + 10*t2\
) + Power(s2,3)*(-22 - 27*t1 + 12*Power(t1,2) + s1*(7 + 16*t1) - 
               10*t2 - 20*t1*t2) + 
            s2*(-9 + 4*Power(t1,3) + s1*(6 - 4*t1 + 3*Power(t1,2)) + 
               Power(t1,2)*(55 - 4*t2) - 10*t2 + t1*(-161 + 4*t2))) - 
         s*Power(-1 + s2,2)*(2 + 16*Power(t1,3) + 
            2*Power(s2,4)*(-2 + 5*s1 + t1 - 6*t2) - 3*t2 - 
            2*t1*(-16 + s1 + t2) + 
            Power(s2,2)*(-19 - 15*Power(t1,2) + 
               s1*(-11 + 10*t1 + 4*Power(t1,2)) - 6*t1*(-5 + t2) + 7*t2) \
+ Power(t1,2)*(9*s1 - 4*(11 + t2)) + 
            s2*(s1*(4 - 2*t1 - 9*Power(t1,2)) - 2*t1*(-33 + t2) + 
               5*(-7 + t2) + Power(t1,2)*(-39 + 4*t2)) + 
            Power(s2,3)*(s1 - 14*s1*t1 - 2*Power(t1,2) + 3*(-4 + t2) + 
               2*t1*(11 + 5*t2))) + 
         Power(s,2)*(-2 + 20*Power(t1,3) + 
            2*Power(s2,5)*(-8 + 10*s1 + 5*t1 - 15*t2) + 
            Power(t1,2)*(-60 + 9*s1 - 8*t2) + t1*(69 - 6*s1 - 2*t2) + 
            Power(s2,3)*(-41 - 9*Power(t1,2) + 
               s1*(-6 + 36*t1 + 4*Power(t1,2)) + t1*(20 - 26*t2) + 2*t2) \
+ s2*(-37 - 149*Power(t1,2) + 16*Power(t1,3) + 
               s1*(4 + 8*t1 - 2*Power(t1,2)) + 4*t2 + 2*t1*(71 + t2)) + 
            Power(s2,2)*(-4*Power(t1,3) + 
               s1*(1 - 18*t1 - 11*Power(t1,2)) - 2*(67 + 3*t2) + 
               t1*(200 + 6*t2) + Power(t1,2)*(-62 + 8*t2)) + 
            Power(s2,4)*(6 - 8*Power(t1,2) - s1*(19 + 20*t1) + 30*t2 + 
               t1*(39 + 20*t2))))*T2q(s2,s))/
     (s*Power(-1 + s2,2)*(1 - 2*s + Power(s,2) - 2*s2 - 2*s*s2 + 
         Power(s2,2))*(-1 + t1)*(-s2 + t1 - s*t1 + s2*t1 - Power(t1,2))) + 
    (8*(-(Power(-1 + t1,3)*(1 + 2*Power(s2,3) + s2*(-3 + t1) + t1 - 
              2*Power(s2,2)*t1)*(-1 + s1*(s2 - t1) + t1 + t2 - s2*t2)) - 
         2*Power(s,6)*((-5 + s2)*t1 + t2 - s2*t2) + 
         Power(s,5)*(-2 + 40*Power(t1,2) + t1*(-37 + 2*s1 - 8*t2) + 
            2*Power(s2,2)*(-2 + s1 + 2*t1 - 3*t2) + 9*t2 + 
            s2*(14 + t1 - 8*Power(t1,2) - 2*s1*(1 + t1) - 3*t2 + 8*t1*t2)\
) + Power(s,4)*(7 + 60*Power(t1,3) + 2*Power(t1,2)*(-59 + 4*s1 - 6*t2) - 
            2*Power(s2,3)*(-2 + 2*s1 + t1 - 3*t2) - 15*t2 + 
            t1*(29 - 5*s1 + 26*t2) + 
            Power(s2,2)*(10 - 38*t1 + 14*Power(t1,2) + 
               3*s1*(-1 + 4*t1) + 15*t2 - 22*t1*t2) - 
            s2*(37 + 12*Power(t1,3) + s1*(-7 + 7*t1 + 8*Power(t1,2)) + 
               6*t2 - 4*Power(t1,2)*(2 + 3*t2) + t1*(-43 + 4*t2))) + 
         s*Power(-1 + t1,2)*(2 + (-3 + 2*s1)*Power(t1,3) + 
            Power(s2,4)*(-4 + 6*s1 + 4*t1 - 6*t2) + 
            t1*(9 + 6*s1 - 2*t2) - 3*t2 + 
            Power(t1,2)*(-8 - 6*s1 + 3*t2) + 
            s2*(-18 + 17*Power(t1,3) - 
               2*s1*(2 - 8*t1 - Power(t1,2) + Power(t1,3)) + 
               t1*(37 - 24*t2) + Power(t1,2)*(-36 + t2) + 11*t2) - 
            2*Power(s2,3)*(15 + 3*Power(t1,2) + s1*(-6 + 4*t1) + 6*t2 - 
               2*t1*(9 + 2*t2)) + 
            2*Power(s2,2)*(-7 + Power(t1,3) + 
               s1*(-7 - 7*t1 + 2*Power(t1,2)) + 5*t2 - 
               Power(t1,2)*(23 + 2*t2) + t1*(29 + 9*t2))) + 
         2*Power(s,3)*(-4 + 20*Power(t1,4) + 2*t1*(7 + s1 - 6*t2) + 
            Power(s2,4)*(s1 - t2) + 5*t2 + 
            Power(t1,2)*(34 - 11*s1 + 14*t2) + 
            Power(t1,3)*(6*s1 - 4*(16 + t2)) + 
            Power(s2,3)*(-11 + s1*(6 - 8*t1) - 3*Power(t1,2) - 8*t2 + 
               2*t1*(7 + 5*t2)) + 
            s2*(6 - 4*Power(t1,4) - 
               s1*(3 - 13*t1 + 2*Power(t1,2) + 6*Power(t1,3)) + 
               Power(t1,2)*(-4 + t2) + 8*t2 + Power(t1,3)*(15 + 4*t2) - 
               t1*(13 + 15*t2)) + 
            Power(s2,2)*(-3 + 9*Power(t1,3) + 
               s1*(-4 - 7*t1 + 13*Power(t1,2)) - 4*t2 - 
               Power(t1,2)*(47 + 15*t2) + t1*(41 + 17*t2))) - 
         2*Power(s,2)*(-1 + t1)*
          (1 - 5*Power(t1,4) + t1*(-3*s1 + 2*(-9 + t2)) + 
            2*Power(t1,2)*(1 + 5*s1 - 3*t2) - 3*Power(s2,4)*(s1 - t2) + 
            Power(t1,3)*(20 - 4*s1 + t2) + 
            Power(s2,3)*(19 + 5*Power(t1,2) + 4*s1*(-1 + 3*t1) + 4*t2 - 
               12*t1*(2 + t2)) - 
            Power(s2,2)*(-13 + 5*Power(t1,3) + 
               s1*(-7 - 8*t1 + 11*Power(t1,2)) + t2 - 
               3*Power(t1,2)*(17 + 3*t2) + t1*(59 + 12*t2)) + 
            s2*(15 + Power(t1,4) + Power(t1,2)*(34 + s1 - 3*t2) + 
               Power(t1,3)*(-19 + 4*s1 - t2) - 6*t2 + 
               t1*(-31 - 17*s1 + 22*t2))))*T3q(s2,1 - s + s2 - t1))/
     (s*Power(-1 + s2,2)*(-1 + t1)*Power(-1 + s + t1,2)*
       (-s2 + t1 - s*t1 + s2*t1 - Power(t1,2))) - 
    (8*((-1 + s2)*Power(s2 - t1,2)*
          (-1 + 2*Power(s2,2) - 2*s2*(-1 + t1) - t1)*
          (-1 + s1*(s2 - t1) + t1 + t2 - s2*t2) - 
         2*Power(s,5)*((-5 + s2)*t1 + t2 - s2*t2) + 
         Power(s,4)*(-2 + 30*Power(t1,2) + t1*(-7 + 2*s1 - 6*t2) + 
            2*Power(s2,2)*(-2 + s1 + 4*t1 - 5*t2) + 3*t2 + 
            s2*(14 - 25*t1 - 6*Power(t1,2) - 2*s1*(1 + t1) + 7*t2 + 
               6*t1*t2)) - s*(s2 - t1)*
          ((19 + 2*s1)*Power(t1,3) + 
            2*Power(s2,4)*(-2 + 4*s1 + t1 - 5*t2) - 16*(-1 + t2) - 
            Power(t1,2)*(80 + s1 + 7*t2) + t1*(51 - 4*s1 + 24*t2) + 
            Power(s2,2)*(19 + 2*Power(t1,3) + 
               3*s1*(-3 + 4*t1 + 4*Power(t1,2)) + 5*t2 - 
               4*t1*(4 + 3*t2) - Power(t1,2)*(9 + 4*t2)) + 
            Power(s2,3)*(-6 - 4*Power(t1,2) - 3*s1*(1 + 6*t1) + 7*t2 + 
               2*t1*(9 + 7*t2)) + 
            s2*(-89 - 5*Power(t1,3) + 
               s1*(4 + 10*t1 - 11*Power(t1,2) - 2*Power(t1,3)) + 
               t1*(89 - 26*t2) + 14*t2 + Power(t1,2)*(-3 + 11*t2))) + 
         Power(s,3)*(1 + 30*Power(t1,3) + 
            Power(s2,2)*(-30 + 18*Power(t1,2) + 7*s1*(1 + 2*t1) + 
               t1*(2 - 24*t2) - 11*t2) + 
            Power(t1,2)*(-19 + 6*s1 - 6*t2) - 
            4*Power(s2,3)*(-3 + 2*s1 + 3*t1 - 5*t2) + 
            t1*(-32 + s1 + 7*t2) + 
            s2*(9 - 6*Power(t1,3) + s1*(1 - 15*t1 - 6*Power(t1,2)) - 
               9*t2 + Power(t1,2)*(-47 + 6*t2) + t1*(42 + 17*t2))) + 
         Power(s,2)*(1 + 10*Power(t1,4) - 3*t1*(-4 + s1 - 5*t2) + 
            4*Power(s2,4)*(-3 + 3*s1 + 2*t1 - 5*t2) + 
            Power(t1,3)*(7 + 6*s1 - 2*t2) - t2 + 
            Power(t1,2)*(s1 - 3*(29 + t2)) + 
            s2*(-29 - 2*Power(t1,4) + 
               s1*(3 + 6*t1 - 25*Power(t1,2) - 6*Power(t1,3)) + 
               t1*(114 - 28*t2) + 2*t2 + 21*Power(t1,2)*(1 + t2) + 
               Power(t1,3)*(-27 + 2*t2)) + 
            Power(s2,2)*(-4 + 12*Power(t1,3) + 
               s1*(-7 + 27*t1 + 24*Power(t1,2)) + 8*t2 - 
               2*Power(t1,2)*(2 + 9*t2) - t1*(47 + 23*t2)) + 
            Power(s2,3)*(12 - 18*Power(t1,2) - 2*s1*(4 + 15*t1) + 11*t2 + 
               t1*(33 + 36*t2))))*T4q(1 - s + s2 - t1))/
     (s*Power(-1 + s2,2)*(-s + s2 - t1)*(-1 + t1)*
       (-s2 + t1 - s*t1 + s2*t1 - Power(t1,2))) - 
    (8*(-2*Power(s,4)*((-5 + s2)*t1 + t2 - s2*t2) - 
         4*(s2 - t1)*(-1 + t1)*
          (-1 + 6*Power(t1,2) + t1*(-5 + s1 - 2*t2) + 
            Power(s2,2)*(-2 + s1 + 2*t1 - t2) + t2 - 
            s2*(-7 + s1 + 5*t1 + s1*t1 + 2*Power(t1,2) - 2*t1*t2)) + 
         Power(s,3)*(-2 + 10*Power(t1,2) + 
            2*Power(s2,2)*(-2 + s1 + 2*t1 - 3*t2) + 
            t1*(-7 + 2*s1 - 2*t2) + 3*t2 + 
            s2*(14 - 5*t1 - 2*Power(t1,2) - 2*s1*(1 + t1) + 3*t2 + 
               2*t1*t2)) + Power(s,2)*
          (1 + (13 + 2*s1)*Power(t1,2) - 
            2*Power(s2,3)*(-2 + 2*s1 + t1 - 3*t2) + t1*(-20 + s1 - t2) + 
            s2*(5 + s1 - 4*t1 - 7*s1*t1 + Power(t1,2) - 
               2*s1*Power(t1,2) - 3*t2 + 5*t1*t2) + 
            Power(s2,2)*(-2 + 2*Power(t1,2) + s1*(3 + 6*t1) - 3*t2 - 
               2*t1*(7 + 2*t2))) + 
         s*(1 + 32*Power(t1,3) - 
            s2*(19 + 8*Power(t1,3) + s1*(-3 + 7*Power(t1,2)) + 
               Power(t1,2)*(25 - 8*t2) + 4*t1*(-13 + t2)) + 
            Power(t1,2)*(-45 + 5*s1 - 8*t2) + 2*Power(s2,4)*(s1 - t2) - 
            t2 + t1*(12 - 3*s1 + 7*t2) + 
            2*Power(s2,3)*(-5 + t2 + t1*(5 - 2*s1 + t2)) + 
            Power(s2,2)*(4 - 2*Power(t1,2) + 
               s1*(-5 + 7*t1 + 2*Power(t1,2)) + t2 - t1*(2 + 5*t2))))*T5q(s))/
     (s*Power(-1 + s2,2)*(-1 + t1)*(-s2 + t1 - s*t1 + s2*t1 - Power(t1,2))));
   return a;
};
